<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroAmount extends Entity {
	protected $value;
	protected $currency;

	public static function builder(): PagSeguroAmountBuilder {

		return new PagSeguroAmountBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValue() {

		return $this->value;

	}
	
	/**
	 * @return mixed
	 */
	public function getCurrency() {
		
		return $this->currency;
	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value) {

		$this->value = $value;

	}

	/**
	 * @param mixed $currency
	 */
	public function setCurrency($currency) {

		$this->currency = $currency;
	}



}

